Skip to content
Splashify Pro
Docs

Carousel Template — Without Dynamic CTA

Same shape as a Carousel Template — With Dynamic CTA, but the per-card buttons are static — no buttonValues payload because the template was approved with fixed URLs.

Use this when every card's CTA points to the same fixed URL or a phone number, and only the per-card image and body text vary by send.

Endpoint

POST

https://api.splashifypro.com/api/v1/public/message

Headers

Request body

json
{
  "phoneNumber": "9999999999",
  "callbackData": "carousel_static",
  "template_category": "utility",
  "type": "Template",
  "template": {
    "name": "template_name_here",
    "languageCode": "en",
    "bodyValues": [
      "body_variable_value_1",
      "body_variable_value_2"
    ],
    "carouselCards": [
      {
        "headerValues": ["media_url_here"],
        "bodyValues":   ["body_variable_value_1"]
      },
      {
        "headerValues": ["media_url_here"],
        "bodyValues":   ["body_variable_value_1"]
      }
    ]
  }
}

Example

bash
curl -X POST https://api.splashifypro.com/api/v1/public/message \
  -H "Authorization: Basic YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "phoneNumber": "9999999999",
    "callbackData": "some text here",
    "template_category": "utility",
    "type": "Template",
    "template": {
      "name": "template_name_here",
      "languageCode": "en",
      "bodyValues": ["body_variable_value_1", "body_variable_value_2"],
      "carouselCards": [
        { "headerValues": ["media_url_here"], "bodyValues": ["body_variable_value_1"] },
        { "headerValues": ["media_url_here"], "bodyValues": ["body_variable_value_1"] }
      ]
    }
  }'

Successful response — 201 Created

json
{
  "result": true,
  "message": "Message created successfully",
  "id": "8d620ba1-640f-42ee-a8dd-15363422144b"
}

When to use this vs the dynamic variant